Debian Bug report logs - #636514
icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1

version graph

Package: icedtea-plugin; Maintainer for icedtea-plugin is OpenJDK Team <openjdk@lists.launchpad.net>; Source for icedtea-plugin is src:icedtea-web.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Wed, 3 Aug 2011 17:54:01 UTC

Severity: serious

Merged with 601779, 606234, 637948

Found in version icedtea-web/1.1-1

Fixed in version icedtea-web/1.1.2-1

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mh+debian@glandium.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Wed, 03 Aug 2011 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to mh+debian@glandium.org, OpenJDK Team <openjdk@lists.launchpad.net>. (Wed, 03 Aug 2011 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Wed, 3 Aug 2011 19:50:40 +0200
Package: icedtea-plugin
Version: 1.1-1
Severity: serious

icedtea-plugin depends on xulrunner-1.9.1, which is no longer built in
unstable.

Also:
12:40 < glandium> jcristau: as for icedtea-web, i don't see where it depends on 
                  xulrunner-1.9.1
12:40 < jcristau> http://packages.debian.org/sid/icedtea-plugin
12:41 < jcristau> dep: xulrunner-1.9.1
12:42 < glandium> jcristau: i have no idea why it depends on xulrunner-1.9.1... 
                  there's no reason for that
12:43 < glandium> it's also stupid, because it makes it necessary to install 
                  xulrunner to benefit the plugin in iceape

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Thu, 04 Aug 2011 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Aug 2011 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 636514@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Julien Cristau <jcristau@debian.org>, 636514@bugs.debian.org
Cc: Debian Release <debian-release@lists.debian.org>
Subject: Re: [Openjdk] Bug#636514: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Thu, 04 Aug 2011 08:17:49 +0200
severity 636514 normal
thanks

I really do not have any trust in some member of the release team filing this
kind of reports. Please think twice before doing this.


On 08/03/2011 07:50 PM, Julien Cristau wrote:
> Package: icedtea-plugin
> Version: 1.1-1
> Severity: serious
> 
> icedtea-plugin depends on xulrunner-1.9.1, which is no longer built in
> unstable.
> 
> Also:
> 12:40 < glandium> jcristau: as for icedtea-web, i don't see where it depends on 
>                   xulrunner-1.9.1
> 12:40 < jcristau> http://packages.debian.org/sid/icedtea-plugin
> 12:41 < jcristau> dep: xulrunner-1.9.1
> 12:42 < glandium> jcristau: i have no idea why it depends on xulrunner-1.9.1... 
>                   there's no reason for that
> 12:43 < glandium> it's also stupid, because it makes it necessary to install 
>                   xulrunner to benefit the plugin in iceape




Severity set to 'normal' from 'serious' Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Thu, 04 Aug 2011 06:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Thu, 04 Aug 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Aug 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 636514@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Matthias Klose <doko@ubuntu.com>, 636514@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#636514: [Openjdk] Bug#636514: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Thu, 4 Aug 2011 09:57:47 +0200
[Message part 1 (text/plain, inline)]
Hi Doko,

On Thu, Aug 04, 2011 at 08:17:49AM +0200, Matthias Klose wrote:
> severity 636514 normal
> thanks
> 
> On 08/03/2011 07:50 PM, Julien Cristau wrote:
> > icedtea-plugin depends on xulrunner-1.9.1, which is no longer built in
> > unstable.
> I really do not have any trust in some member of the release team filing this
> kind of reports. Please think twice before doing this.

can you please enlighten us why you insist that this is not serious?
xulrunner-1.9.1 is going away any minute now (i.e. it will be decrufted
shortly).  icedweb-plugin will then be uninstallable in unstable.

Kind regards
Philipp Kern
 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Thu, 04 Aug 2011 08:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Aug 2011 08:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 636514@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Matthias Klose <doko@ubuntu.com>
Cc: 636514@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: [Openjdk] Bug#636514: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Thu, 4 Aug 2011 09:59:20 +0200
severity 636514 serious
kthxbye

> On 08/03/2011 07:50 PM, Julien Cristau wrote:
> > icedtea-plugin depends on xulrunner-1.9.1, which is no longer built in
> > unstable.
> > 

Is the above really so hard to understand?

No love,
Julien




Severity set to 'serious' from 'normal' Request was from Julien Cristau <julien@cristau.org> to control@bugs.debian.org. (Thu, 04 Aug 2011 08:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Thu, 04 Aug 2011 08:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 04 Aug 2011 08:09:07 GMT) Full text and rfc822 format available.

Message #29 received at 636514@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Matthias Klose <doko@ubuntu.com>
Cc: Julien Cristau <jcristau@debian.org>, 636514@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: [Openjdk] Bug#636514: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Thu, 4 Aug 2011 10:04:36 +0200
On Thu, Aug 04, 2011 at 08:17:49AM +0200, Matthias Klose wrote:
> severity 636514 normal
> thanks
> 
> I really do not have any trust in some member of the release team filing this
> kind of reports. Please think twice before doing this.
> 
> 
> On 08/03/2011 07:50 PM, Julien Cristau wrote:
> > Package: icedtea-plugin
> > Version: 1.1-1
> > Severity: serious
> > 
> > icedtea-plugin depends on xulrunner-1.9.1, which is no longer built in
> > unstable.
> > 
> > Also:
> > 12:40 < glandium> jcristau: as for icedtea-web, i don't see where it depends on 
> >                   xulrunner-1.9.1
> > 12:40 < jcristau> http://packages.debian.org/sid/icedtea-plugin
> > 12:41 < jcristau> dep: xulrunner-1.9.1
> > 12:42 < glandium> jcristau: i have no idea why it depends on xulrunner-1.9.1... 
> >                   there's no reason for that
> > 12:43 < glandium> it's also stupid, because it makes it necessary to install 
> >                   xulrunner to benefit the plugin in iceape

Just in case that wasn't clear, the glandium mentioned above is me, and
that was with my iceweasel maintainer on, which is the source package
that was generating xulrunner-1.9.1. Unstable doesn't have
xulrunner-1.9.1 anymore, or at least, it's not generated from the source
currently in unstable. It's still in unstable but won't for long.

Anyways, making plugin packages *depend* on xulrunner, any version, is
wrong, because:
- webkit browsers don't use xulrunner
- all gecko browsers don't use xulrunner (only iceweasel does)

FWIW, Ubuntu's package doesn't depend on xulrunner-1.9.1, but instead
depends on firefox | chromium-browser | epiphany-browser | midori. Which
is just as useless, as this requires people using other browsers (for
example, uzbl or conkeror) to install one of these browsers while they
don't need it.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Fri, 19 Aug 2011 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 19 Aug 2011 01:15:03 GMT) Full text and rfc822 format available.

Message #34 received at 636514@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: Matthias Klose <doko@ubuntu.com>
Cc: Julien Cristau <jcristau@debian.org>, 636514@bugs.debian.org, Debian Release <debian-release@lists.debian.org>, Philipp Kern <pkern@debian.org>
Subject: Re: Bug#636514: [Openjdk] Bug#636514: icedtea-plugin: obsolete (and unneeded?) dependency on xulrunner-1.9.1
Date: Fri, 19 Aug 2011 03:11:01 +0200
[Message part 1 (text/plain, inline)]
As said on irc, please remove xulrunner runtime dependency.
Neither gnash plugin nor lightspark one (other NPAPI plugin around?) depend on
it at runtime.
Browsers which use such plugins already depends on xulrunner.

Attached patch.

[icedtea-web.diff (text/x-diff, attachment)]

Forcibly Merged 636514 637948. Request was from Julien Valroff <julien@debian.org> to control@bugs.debian.org. (Wed, 31 Aug 2011 04:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#636514; Package icedtea-plugin. (Thu, 01 Sep 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 01 Sep 2011 08:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 636514@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 636514@bugs.debian.org
Subject: somebody, please update the icedtea-plugin
Date: Thu, 1 Sep 2011 13:36:57 +0530
Hi all,
 I am also hit by this bug too as I'm on unstable. This renders me
unable to use java on browser :(
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17




Added indication that 636514 affects geogebra Request was from Mònica Ramírez Arceda <monica@probeta.net> to control@bugs.debian.org. (Tue, 06 Sep 2011 22:39:05 GMT) Full text and rfc822 format available.

Forcibly Merged 606234 636514 637948. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Tue, 20 Sep 2011 14:57:04 GMT) Full text and rfc822 format available.

Forcibly Merged 601779 606234 636514 637948. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Tue, 20 Sep 2011 14:57:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'minor' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Wed, 21 Sep 2011 13:09:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 22 Sep 2011 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 21:51:17 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 21:51:17 GMT) Full text and rfc822 format available.

Message #56 received at 636514-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 636514-close@bugs.debian.org
Subject: Bug#636514: fixed in icedtea-web 1.1.2-1
Date: Fri, 23 Sep 2011 21:47:56 +0000
Source: icedtea-web
Source-Version: 1.1.2-1

We believe that the bug you reported is fixed in the latest version of
icedtea-web, which is due to be installed in the Debian FTP archive:

icedtea-netx-common_1.1.2-1_all.deb
  to main/i/icedtea-web/icedtea-netx-common_1.1.2-1_all.deb
icedtea-netx_1.1.2-1_amd64.deb
  to main/i/icedtea-web/icedtea-netx_1.1.2-1_amd64.deb
icedtea-plugin_1.1.2-1_amd64.deb
  to main/i/icedtea-web/icedtea-plugin_1.1.2-1_amd64.deb
icedtea-web_1.1.2-1.debian.tar.gz
  to main/i/icedtea-web/icedtea-web_1.1.2-1.debian.tar.gz
icedtea-web_1.1.2-1.dsc
  to main/i/icedtea-web/icedtea-web_1.1.2-1.dsc
icedtea-web_1.1.2.orig.tar.gz
  to main/i/icedtea-web/icedtea-web_1.1.2.orig.tar.gz
icedtea6-plugin_6b21.1.2-1_all.deb
  to main/i/icedtea-web/icedtea6-plugin_6b21.1.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636514@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated icedtea-web package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Sep 2011 10:48:22 +0200
Source: icedtea-web
Binary: icedtea-netx icedtea-plugin icedtea6-plugin icedtea-netx-common
Architecture: source amd64 all
Version: 1.1.2-1
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 icedtea-netx - NetX - implementation of the Java Network Launching Protocol (JNL
 icedtea-netx-common - NetX - implementation of the Java Network Launching Protocol (JNL
 icedtea-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 icedtea6-plugin - web browser plugin to execute Java applets (dependency package)
Closes: 601779 606234 636514 640736 640748 641038 641798
Changes: 
 icedtea-web (1.1.2-1) unstable; urgency=low
 .
   * Team upload
   * New upstream release:
     - PR769: IcedTea-Web does not work with some ssl sites with OpenJDK7.
     - Javaws cannot use proxy settings from Firefox.
     (Closes: #640748, #640736, #641038)
   * Drop the dependency on xulrunner (Closes: #636514, #606234, #601779)
   * Fix FTBFS due to the switch to multiarch (Closes: #641798)
 .
   [ Damien Raude-Morvan ]
   * Switch to 3.0 (quilt) format.
   * d/javaws.policy: Allow RuntimePermission for javaws to access
     sun.security.util package.
   * d/patches/javaws_change_java_policy.diff: Loading of javaws.policy.
   * d/rules: Install javaws.policy into /etc/icedtea-web/.
Checksums-Sha1: 
 86c48ae95673ae098a672754213efca2c6342b34 1448 icedtea-web_1.1.2-1.dsc
 f862220b4504e688706b743f68f62c81e57bc183 807736 icedtea-web_1.1.2.orig.tar.gz
 ea44d6a6afdf7fcc733efcb41a52adfd4cf25c44 11722 icedtea-web_1.1.2-1.debian.tar.gz
 b0bd844f24e26e06e69e93a952527d37d02b04a6 13392 icedtea-netx_1.1.2-1_amd64.deb
 11837ef97be3d474ba5f973c4247034d68741c54 92956 icedtea-plugin_1.1.2-1_amd64.deb
 06d28ea36d83c9855ebddd5db02316d67128fb11 882 icedtea6-plugin_6b21.1.2-1_all.deb
 84d8b13c7dba0450dc5c5bbfdff53156876f6ea2 563328 icedtea-netx-common_1.1.2-1_all.deb
Checksums-Sha256: 
 89e07fccc595729e6942ac582e062623f41773e7f91baf419edf257e3c8561f2 1448 icedtea-web_1.1.2-1.dsc
 3051f3bf1e1d07ad7aaa28b204821a7c0631848d20ba7942fc23440e774649e4 807736 icedtea-web_1.1.2.orig.tar.gz
 2187de66bb35c2f6839bfb990a242d0b9d388e396f9bc8f35b3a4f82b0e9c961 11722 icedtea-web_1.1.2-1.debian.tar.gz
 b7202c7b87ac5834206c4eb0b0ee8db097c37f4cf5d21883c752914582d6b1f8 13392 icedtea-netx_1.1.2-1_amd64.deb
 3439ba2bbf05a7a15e294dad0fd96c915164b0ca91e34442f59ef56ac72d184b 92956 icedtea-plugin_1.1.2-1_amd64.deb
 698ab1470f46d8a5581dc3cd9b5c792816d7ed3f50f7847ad09f94e6085f072e 882 icedtea6-plugin_6b21.1.2-1_all.deb
 8b79b3f03271065e8dd8b8a7fb8cddd17afaafa289c8a57b16f115260cfba2fb 563328 icedtea-netx-common_1.1.2-1_all.deb
Files: 
 e748259fba2798435b51293190cba327 1448 java extra icedtea-web_1.1.2-1.dsc
 564e10820887793b86b04ac9979cb6e5 807736 java extra icedtea-web_1.1.2.orig.tar.gz
 d6a5b22ee0718500cd36cd5205d31b1c 11722 java extra icedtea-web_1.1.2-1.debian.tar.gz
 1b7633cff14cabc066783ac2279bb40d 13392 java extra icedtea-netx_1.1.2-1_amd64.deb
 295da0baf21da37189b9a64cbbcae8f4 92956 web extra icedtea-plugin_1.1.2-1_amd64.deb
 38405b4d2698ecf1755585c10bbce3c7 882 web extra icedtea6-plugin_6b21.1.2-1_all.deb
 63c951d541ee8248d81688cb6c07b93b 563328 java extra icedtea-netx-common_1.1.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk56+I8ACgkQiOXXM92JlhCkdACg2qw4KE0A6tUyei1TPpksZMzd
+J8AoMPreWkZpVK/JWdLIywfghTJ0sjg
=k1vN
-----END PGP SIGNATURE-----





Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 21:51:18 GMT) Full text and rfc822 format available.

Notification sent to CSights <csights@fastmail.fm>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 21:51:18 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 21:51:19 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 21:51:19 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 21:51:19 GMT) Full text and rfc822 format available.

Notification sent to Sylvain BOILARD <boilard@crans.org>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 21:51:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Oct 2011 07:35:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:46:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.